Subject: bug#31890: closed (Re: [bug#31893] [PATCH] gnu: elfutils: Update to 0.172.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 Jun 2018 11:42:02 +0000

Your bug report

#31890: elfutils failure in test suite on aarch64

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31890: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31890
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31893] [PATCH] gnu: elfutils: Update to 0.172.
From: Marius Bakke <[email-masked]>
To: Vagrant Cascadian <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 19 Jun 2018 13:41:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Vagrant Cascadian <[email-masked]> writes:

> The attached patch updates elfutils to the current version released
> earlier this month, fixing https://debbugs.gnu.org/31890 on aarch64.

Pushed as 59cf90ee4beab37169790a5925d0899170c9cb88, thank you!

Subject: elfutils failure in test suite on aarch64
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jun 2018 14:23:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The test suite for elfutils is consistently failing on an aarch64 system
running GuixSD on a SoftIron Overdrive 1000 system, although other
people are able to build it fine. I'll see if I can reproduce on another
aarch64 system.

I think the following test is what's failing, but the full log is also
attached.

FAIL: run-backtrace-native-core.sh
==================================

backtrace: backtrace.c:114: callback_verify: Assertion `symname != NULL && strcmp (symname, "sigusr2") == 0' failed.
./test-subr.sh: line 84: 14188 Aborted                 LD_LIBRARY_PATH="${built_library_path}${LD_LIBRARY_PATH:+:}$LD_LIBRARY_PATH" $VALGRIND_CMD "$@"
backtrace-child-core.14183: no main
FAIL run-backtrace-native-core.sh (exit status: 1)

live well,
  vagrant